QScintilla: QextScintillaLexerIDL Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerIDL Class Reference

The QextScintillaLexerIDL class encapsulates the Scintilla IDL lexer. More...

`#include <qextscintillalexeridl.h>`

Inherits QextScintillaLexerCPP.

List of all members.

## Public Member Functions

- QextScintillaLexerIDL (QObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerIDL ()
- const char * language () const
- QColor color (int style) const
- const char * keywords (int set) const
- QString description (int style) const

## Detailed Description

The QextScintillaLexerIDL class encapsulates the Scintilla IDL lexer.

## Constructor & Destructor Documentation

QextScintillaLexerIDL::QextScintillaLexerIDL | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerIDL with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerIDL::~QextScintillaLexerIDL | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerIDL instance.

## Member Function Documentation

const char* QextScintillaLexerIDL::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QextScintillaLexerCPP.

QColor QextScintillaLexerIDL::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexerCPP.

const char* QextScintillaLexerIDL::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexerCPP.

QString QextScintillaLexerIDL::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then QString::null is returned. This is intended to be used in user preference dialogs.

Reimplemented from QextScintillaLexerCPP.